import request from '@/utils/request'
//后台获取列表
export function getInfo(data) {
  return request({
    url: '/outassistBusiness/queryCraftBill',
    method: 'post',
    params: data
  })
}

//通过ID获取单个信息
export function getInfoById(data) {
  return request({
    url: '/outassistBusiness/getCraftBill',
    method: 'post',
    params: data
  })
}

//增加
export function addInfo(data) {
  return request({
    url: '/outassistBusiness/newCraftBill',
    method: 'post',
    params: data
  })
}


//修改
export function updateInfo(data) {
  return request({
    url: '/outassistBusiness/updateCraftBill',
    method: 'post',
    params: data
  })
}

//禁用外协单来源厂信息
export function voidInfo(data) {
  return request({
    url: '/outassistBusiness/voidCraftBill',
    method: 'post',
    params: data
  })
}

//批量验收外加工单
export function acceptCraftBills(data) {
  return request({
    url: '/outassistBusiness/acceptCraftBills',
    method: 'post',
    params: data
  })
}


//后台获取工艺档案列表
export function getCraftInfoList(data) {
  return request({
    url: '/outassistDoc/getCraftInfoList',
    method: 'post',
    params: data
  })
}

//获取外加工单脚印
export function getBillStepList(data) {
  return request({
    url: '/outassistBusiness/getCraftBillSteps',
    method: 'post',
    params: data
  })
}

//退回
export function backCraftBill(data) {
  return request({
    url: '/outassistBusiness/backCraftBill',
    method: 'post',
    params: data
  })
}
//外协厂获取来源厂订单详情
export function viewRemoteOrder(data) {
  return request({
    url: '/outassistBusiness/viewRemoteOrder',
    method: 'post',
    params: data
  })
}




